<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div>
        <input type="text" id="taskbar">
        <button>submit</button>
        

    </div>
    <script>
        let btn1=document.getElementsByTagName('button')[0];
        btn1.addEventListener('click',()=>{
        let newTask=document.getElementById('taskbar').value;
        console.log(localStorage['task']);
        console.log(newTask);
        
        let alltasks=localStorage['task'] ? JSON.parse(localStorage['task']):[];
        console.log(alltasks);
        alltasks[alltasks.length]=newTask;
        console.log(alltasks);
        localStorage['task']=JSON.stringify(alltasks);
        console.log(alltasks);
        console.log(localStorage['task']);
        console.log(JSON.parse(localStorage['task']));
        // localStorage.clear();
        // document.getElementById('taskbar').value='';

        })
    </script>
</body>
</html>